Loading...
Searching...
No Matches
seqan3::validation_error Class Reference
Argument Parser

Argument parser exception thrown when an argument could not be casted to the according type. More...

`#include <seqan3/argument_parser/exceptions.hpp>`

Inheritance diagram for seqan3::validation_error:
[legend]

## Public Member Functions

| validation_error (std::string const &s)
| The constructor.
Public Member Functions inherited from seqan3::argument_parser_error
| argument_parser_error (std::string const &s)
| The constructor.
Public Member Functions inherited from std::runtime_error
T | runtime_error (T... args)
T | what (T... args)

## Detailed Description

Argument parser exception thrown when an argument could not be casted to the according type.

Remarks
  For a complete overview, take a look at Argument Parser

## Constructor & Destructor Documentation

## validation_error()

seqan3::validation_error::validation_error | ( | std::string const & | s | ) |

inline

The constructor.

Parameters

  [in] | s | The error message.

The documentation for this class was generated from the following file:

- exceptions.hpp

Hide me